// Fill out your copyright notice in the Description page of Project Settings.

#include "Enemy/LMEnemy.h"

ALMEnemy::ALMEnemy()
{
	PrimaryActorTick.bCanEverTick = true;
	EnemyState = EEnemyState::EES_Chasing;
}

void ALMEnemy::BeginPlay()
{
	Super::BeginPlay();
}

double ALMEnemy::GetDistanceToTarget(const AActor* TargetedActor)
{
	return (TargetedActor->GetActorLocation() - GetActorLocation()).Length();
}

void ALMEnemy::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);
}

void ALMEnemy::SetupPlayerInputComponent(UInputComponent* PlayerInputComponent)
{
	Super::SetupPlayerInputComponent(PlayerInputComponent);
}

